package com.ruoyi.ss.device.service;


import com.ruoyi.ss.device.domain.SmDevice;
import com.ruoyi.ss.device.domain.vo.SmDeviceVo;

import java.util.List;

/**
 * 设备信息组装员
 * @author wjh
 * 2024/4/13
 */
public interface DeviceAssembler {

    /**
     * 拼接租户信息
     * @param list
     */
    void assembleTenant(List<SmDeviceVo> list);

    /**
     * 拼接套餐列表
     * @param list
     */
    void assembleSuitList(List<SmDeviceVo> list);

    /**
     * 拼接店铺营业时间
     * @param list
     */
    void assembleBusinessTime(List<SmDeviceVo> list);
}
